Rtx 4080 + 520.56.06

I’m currently getting the following error at boot on a new RTX 4080 + 520.56.06 drivers + Ubuntu 22.10

[ 2.505593] [drm] [nvidia-drm] [GPU ID 0x00000900] Loading driver
[ 2.779244] NVRM: GPU 0000:09:00.0: RmInitAdapter failed! (0x30:0x56:956)
[ 2.779263] NVRM: GPU 0000:09:00.0: rm_init_adapter failed, device minor number 0
[ 2.779329] [drm:nv_drm_load [nvidia_drm]] ERROR [nvidia-drm] [GPU ID 0x00000900] Failed to allocate NvKmsKapiDevice
[ 2.779403] [drm:nv_drm_probe_devices [nvidia_drm]] ERROR [nvidia-drm] [GPU ID 0x00000900] Failed to register device

Also

nvidia-smi
No devices were found

Does 520.56.06 support RTX 4080 models at all ? If not, when should we expect support for this line ?

Similar here with Debian + 520.61.05. I boot with my P1000 and nvidia-smi only reports the old GPU. Also no trace of 4080 in lspci or lshw.

I have exactly the same problem on Archlinux.

Hi All,
Please share nvidia bug report so that we can analyze logs.

nvidia-bug-report.log.gz attached. Thanks for the assistance @amrits
nvidia-bug-report.log.gz (468.0 KB)

Nvidia bug report attached. Thanks.
nvidia-bug-report.log.gz (540.3 KB)

nvidia-bug-report.log.gz (89.8 KB)

Nvidia bug report attached.
Thanks.

I have tried 525.53, which advertises RTX 4080 support here, and it doesn’t work. That looks like a mistake.

From the code here
open-gpu-kernel-modules/g_nv_name_released.h at 525.53 · NVIDIA/open-gpu-kernel-modules · GitHub support for the 4080 is not there on 525.53.

@amrits when should we expect a new release ?

I also tried 525.53 on my other workstation, no success. FWIW, my other workstation has a RADEON PROWX3200 and the installer complained at the very beginning that there is no supported card on the machine.

Hi All,
Driver is not supported so far with RTX 4080.
Supported driver will be release publicly soon in future.